Summary:     Device-Mapper library and tools
Name:        device-mapper
Version:     1.00.17
Release:     2.pp
License:     LGPL
Group:       System Environment/Libraries
Source0:     ftp://sources.redhat.com/pub/dm/%{name}.%{version}.tgz
URL:         http://sources.redhat.com/dm/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Sistina
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc kernel >= 2.4.26 kernel.dm
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel kernel-source >= 2.4.26 gettext
ExclusiveOS: linux

%description
The Device-mapper is a new component of the linux kernel that
supports logical volume management. It is required by LVM2 and
EVMS. The original LVM (included in stock 2.4 kernels) does not
use it.


%package devel
Summary:     Development files for the device-mapper library
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel                                                                                                
This package contains the header files, libraries, and documentation
for building programs which use the device-mapper library.


%prep
%setup -q -n %{name}.%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--sbindir=/sbin         \
	--libdir=/lib           \
	--enable-nls            \
	--with-kernel-dir=/usr/src/linux-2.4
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 lib/ioctl/libdevmapper.a $RPM_BUILD_ROOT/lib/
ln -s /lib/libdevmapper.a $RPM_BUILD_ROOT/usr/lib/


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc COPYING* INSTALL INTRO README VERSION WHATS_NEW
%doc scripts/devmap_mknod.sh
/lib/*.so.*
/sbin/*
/usr/share/locale/*
/usr/share/man/man8/*

%files devel
%defattr(-, root, root)
/lib/*.*a
/lib/*.so
/usr/include/*
/usr/lib/*


%changelog
* Sun May 02 2004 peter.pramberger@1012surf.net
- created

